<?php

namespace Slovocast\Controller\Channel;

use Odan\Session\SessionInterface;
use Psr\Log\LoggerInterface;
use Slovocast\Controller\Controller;
use Psr\Http\Message\ResponseInterface as Response;

class CreateChannelAction extends Controller
{
    public function __construct(
        protected SessionInterface $session,
        protected LoggerInterface $logger,
    ) { }

    public function handle(): Response
    {
        $userData = $this->session->get('user');
        $formData = $this->request->getParsedBody();

        if ($userData['id'] !== $formData['user_id']) {
            $this->session->getFlash()->add("error", "Unable to create channel.");
            $this->logger->error("Session User ID and Form User ID do no match.");
            return $this->render('channel/create.twig')->withStatus(400);
        }
    }
}
